We are pleased to announce that Red Hat Satellite 6.5 is now available in beta to current Satellite customers.

Red Hat Satellite is a scalable platform to manage patching, provisioning, and subscription management of your Red Hat infrastructure, regardless of where it is running. The Satellite 6.5 beta is focused on adding Red Hat Enterprise Linux 8 as a supported version, so that when RHEL 8 is generally available our customers can immediately begin using it.

RHEL 8 Beta comes with a number of improvements we needed to support with Satellite. For example, RHEL 8’s Application Streams provide "virtual repositories" to allow users to choose specific versions of supported technologies. This requires Satellite to understand AppStreams as well.

While Satellite 6.5 Beta supports Red Hat Enterprise Linux 8 hosts, it is important to note that Satellite 6.5 must be installed on a Red Hat Enterprise Linux 7 host.  Support for running Satellite itself on a Red Hat Enterprise Linux 8 host is scheduled for a later release.

Major features that we are asking customers to review as they test the beta are:

  • Red Hat Enterprise Linux 8 Support
    • Application Streams
    • System Purpose
    • Provisioning
  • Content Management
    • Export/Import Content Views
    • Container Admin Persona
  • Usability
    • Reporting Engine
    • Easier searching for repositories, and simplification of repository selection
  • Security
    • Satellite 6.5 runs on a FIPS enabled Red Hat Enterprise Linux 7 host

If you want to manage Red Hat Enterprise Linux 8 hosts, then you will need to upgrade your Satellite environment to Satellite 6.5 once it is released.  Older versions of Satellite will not support Red Hat Enterprise Linux 8.

Customers with active Red Hat Satellite subscriptions can test out the new features in Satellite 6.5 beta now by signing up for the beta.

You can also refer to the Red Hat Satellite 6.5 Beta FAQ as well as the Satellite 6.5 Navigation Guide for additional information.

Of interest

News to note—just for you